Bug 102093 - xemacs doesn't work due to segfaults
xemacs doesn't work due to segfaults
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: xemacs (Show other bugs)
beta1
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-11 05:30 EDT by Akira TAGOH
Modified: 2015-01-07 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 04:34:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Akira TAGOH 2003-08-11 05:30:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.2.1) Gecko/20030225

Description of problem:
This is a result of step program:
-bash-2.05b$ gdb /usr/bin/xemacs
GNU gdb Red Hat Linux (5.3.90-0.20030710.3rh)
Copyright 2003 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "ia64-redhat-linux-gnu"...
(gdb) b main
Breakpoint 1 at 0x40000000000c6840: file emacs.c, line 2811.
(gdb) r
Starting program: /usr/bin/xemacs
[New Thread 2305843009213921408 (LWP 2013)]
[Switching to Thread 2305843009213921408 (LWP 2013)]

Breakpoint 1, main (argc=1, argv=0x60000fffffffb988, envp=0x60000fffffffb998) at
emacs.c:2811
2811      lim_data = 0; /* force reinitialization of this variable */
(gdb) n
2809      inhibit_non_essential_printing_operations = 1;
(gdb) 
2810      suppress_early_error_handler_backtrace = 0;
(gdb) 
2820      if (!initialized)
(gdb) 
2809      inhibit_non_essential_printing_operations = 1;
(gdb) 
2820      if (!initialized)
(gdb) 
2811      lim_data = 0; /* force reinitialization of this variable */
(gdb) 
2810      suppress_early_error_handler_backtrace = 0;
(gdb) 
2827          if (! SETJMP (run_temacs_catch))
(gdb) 
2820      if (!initialized)
(gdb) 
2773      int     volatile vol_argc = argc;
(gdb) 
2827          if (! SETJMP (run_temacs_catch))
(gdb) 
2773      int     volatile vol_argc = argc;
(gdb) 
2774      char ** volatile vol_argv = argv;
(gdb) 
2820      if (!initialized)
(gdb) 
2774      char ** volatile vol_argv = argv;
(gdb) 
2809      inhibit_non_essential_printing_operations = 1;
(gdb) 
2775      char ** volatile vol_envp = envp;
(gdb) 
2826          run_temacs_argc = 0;
(gdb) 
2820      if (!initialized)
(gdb) 
2826          run_temacs_argc = 0;
(gdb) 
2827          if (! SETJMP (run_temacs_catch))
(gdb) 
2833          vol_argc = run_temacs_argc;
(gdb) 
2827          if (! SETJMP (run_temacs_catch))
(gdb) 
2762    {
(gdb) 

Program received signal SIGSEGV, Segmentation fault.
0x0000000000000000 in ?? ()
(gdb) bt
#0  0x0000000000000000 in ?? ()
(gdb) 

I'm not sure the dumped xemacs is broken?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run xemacs on ia64
2.
3.
    

Additional info:
It breaks other build of elisp packages.
Comment 1 Jens Petersen 2003-09-02 07:44:45 EDT
It appears that a rebuild should fix this.
Comment 2 Jens Petersen 2003-09-03 04:34:25 EDT
Fixed in 21.4.14-5 I believe.

Note You need to log in before you can comment on or make changes to this bug.